NumberDeserializers
Date: 2016-12-04

com.fasterxml.jackson.databind.deser.std

## Class NumberDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.NumberDeserializers

-     public class NumberDeserializers
      extends java.lang.Object

  Container class for deserializers that handle core JDK primitive (and matching wrapper) types, as well as standard "big" numeric types. Note that this includes types such as `Boolean` and `Character` which are not strictly numeric, but are part of primitive/wrapper types.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NumberDeserializers.BigDecimalDeserializer`
    `static class` | `NumberDeserializers.BigIntegerDeserializer` This is bit trickier to implement efficiently, while avoiding overflow problems.
    `static class` | `NumberDeserializers.BooleanDeserializer`
    `static class` | `NumberDeserializers.ByteDeserializer`
    `static class` | `NumberDeserializers.CharacterDeserializer`
    `static class` | `NumberDeserializers.DoubleDeserializer`
    `static class` | `NumberDeserializers.FloatDeserializer`
    `static class` | `NumberDeserializers.IntegerDeserializer`
    `static class` | `NumberDeserializers.LongDeserializer`
    `static class` | `NumberDeserializers.NumberDeserializer` For type `Number.class`, we can just rely on type mappings that plain `JsonParser.getNumberValue()` returns.
    `protected static class` | `NumberDeserializers.PrimitiveOrWrapperDeserializer<T>`
    `static class` | `NumberDeserializers.ShortDeserializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberDeserializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonDeserializer<?>` | `find(java.lang.Class<?> rawType, java.lang.String clsName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberDeserializers

          public NumberDeserializers()

  - ### Method Detail

    - #### find

          public static JsonDeserializer<?> find(java.lang.Class<?> rawType,
                                 java.lang.String clsName)